<template>
	<q-layout view="lHh Lpr lFf">
		<q-header elevated>
			<q-toolbar>
				<q-btn
						flat
						dense
						round
						@click="leftDrawerOpen = !leftDrawerOpen"
						aria-label="Menu"
						icon="menu"
				/>

				<q-toolbar-title>
					Quasar App
				</q-toolbar-title>

				<div>Quasar v{{ $q.version }}</div>
			</q-toolbar>
		</q-header>

		<q-drawer
				v-model="leftDrawerOpen"
				show-if-above
				bordered
				class="bg-grey-2"
		>
			<q-list>
				<q-item-label header>Essential Links</q-item-label>

				<q-item clickable tag="a" to="/">
					<q-item-section avatar>
						<q-icon name="home" />
		</q-item-section>
		<q-item-section>
			<q-item-label>Home</q-item-label>
			<q-item-label caption>Home page</q-item-label>
		</q-item-section>
	</q-item>







	<q-item clickable tag="a" to="/about">
		<q-item-section avatar>
			<q-icon name="contact_support" />
		</q-item-section>
		<q-item-section>
			<q-item-label>About</q-item-label>
			<q-item-label caption>About page</q-item-label>
					</q-item-section>
				</q-item>

				<q-separator />

				<q-item clickable tag="a" target="_blank" href="https://quasar.dev">
			<q-item-section avatar>
				<q-icon name="school" />
			</q-item-section>
			<q-item-section>
				<q-item-label>Docs</q-item-label>
				<q-item-label caption>quasar.dev</q-item-label>
			</q-item-section>
				</q-item>

				<q-item clickable tag="a" target="_blank" href="https://github.com/quasarframework/">
					<q-item-section avatar>
						<q-icon name="code" />
					</q-item-section>
					<q-item-section>
		<q-item-label>Github</q-item-label>
		<q-item-label caption>github.com/quasarframework</q-item-label>
	</q-item-section>
</q-item>
<q-item clickable tag="a" target="_blank" href="https://chat.quasar.dev">
	<q-item-section avatar>
		<q-icon name="chat" />
	</q-item-section>
	<q-item-section>
		<q-item-label>Discord Chat Channel</q-item-label>
		<q-item-label caption>chat.quasar.dev</q-item-label>
	</q-item-section>
</q-item>
<q-item clickable tag="a" target="_blank" href="https://forum.quasar.dev">
	<q-item-section avatar>
		<q-icon name="forum" />
	</q-item-section>
					<q-item-section>
						<q-item-label>Forum</q-item-label>
						<q-item-label caption>forum.quasar.dev</q-item-label>
					</q-item-section>
	</q-item>
	<q-item clickable tag="a" target="_blank" href="https://twitter.com/quasarframework">
		<q-item-section avatar>
			<q-icon name="rss_feed" />
		</q-item-section>
		<q-item-section>
			<q-item-label>Twitter</q-item-label>
			<q-item-label caption>@quasarframework</q-item-label>
		</q-item-section>
				</q-item>
			</q-list>
		</q-drawer>

		<q-page-container>
			<router-view></router-view>
			<pre v-if="currentUser">currentUser : {{ currentUser }}</pre>
			<pre v-else>current user loading...</pre>
		</q-page-container>
	</q-layout>
</template>

<script>
	import { ref, onMounted, computed } from 'vue'
	import { useStore } from 'vuex'

	export default {
		name: 'LayoutDefault',

		components: {
		},

		setup () {
			const store = useStore();

			onMounted(() => {
				store.dispatch('user/getCurrentUser');
			})

			return {
				leftDrawerOpen: ref(false),
				currentUser: computed(() => store.getters['user/currentUser'])
			}
		}
	}
</script>
